# $Revision: 1.8 $, $Date: 2011/02/06 23:18:02 $
#
%define		srcname	jdom
#
%include	/usr/lib/rpm/macros.java

Summary:	A Java representation of an XML document
Name:		java-%{srcname}
Version:	1.1.1
Release:	1
License:	BSD-Like
Group:		Libraries/Java
Source0:	http://www.jdom.org/dist/binary/%{srcname}-%{version}.tar.gz
# Source0-md5:	0ad116194e3101fb08fab8f6f00cc58f
URL:		http://www.jdom.org/
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre
Provides:	jdom
Obsoletes:	jdom
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JDOM is, quite simply, a Java representation of an XML document. JDOM
provides a way to represent that document for easy and efficient
reading, manipulation, and writing. It has a straightforward API, is a
lightweight and fast, and is optimized for the Java programmer. It's
an alternative to DOM and SAX, although it integrates well with both
DOM and SAX.

%description -l pl.UTF-8
JDOM jest biblioteką napisaną w Javie służącą do obróbki dokumentów
XML. JDOM jest reprezentacją danych pozwalającą w łatwy i efektywny
sposób odczytywać, przekształcać i zapisywać dokumenty XML. JDOM
posiada przejrzyste, lekkie i szyckie API, jest zoptymalizowane z
myślą o programiście Javy. Biblioteka JDOM jest alternatywą dla DOM i
SAX, jednak może być łatwo zintegrowana zarówno z DOM jak i SAX.

%package demo
Summary:	Demo for %{srcname}
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu %{srcname}
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	jdom-demo

%description demo
Demonstrations and samples for %{srcname}.

%description demo -l pl.UTF-8
Pliki demonstracyjne i przykłady dla pakietu %{srcname}.

%package javadoc
Summary:	%{srcname} documentation
Summary(pl.UTF-8):	Dokumentacja do %{srcname}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
%{srcname} documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do %{srcname}.

%prep
%setup -q -n %{srcname}

find -name '*.jar' | xargs rm
find -name '*.class' | xargs rm

%build
%ant package %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/%{srcname}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -R build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc CHANGES.txt COMMITTERS.txt LICENSE.txt README.txt TODO.txt
%{_javadir}/*.jar

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-jdom.spec,v $
Revision 1.8  2011/02/06 23:18:02  sparky
- unified preamble in %changelog

Revision 1.7  2010/11/08 11:13:43  caleb
- Up to 1.1.1

Revision 1.6  2010/04/18 15:00:37  pawelz
- don't force specific jdk
- tabs in subpackage preamble

Revision 1.5  2009/03/31 19:52:51  pawelz
- rel 2

Revision 1.4  2009/03/31 19:49:48  pawelz
- dropped BR: java-xerces

Revision 1.3  2009/03/31 19:45:19  pawelz
- P/O after changing name
- build javadoc
- simplified installation of demo
- remove binnaries provided with tarball

Revision 1.2  2009/03/31 18:11:48  paszczus
- added BR: java-xerces; rel 1

Revision 1.1  2009/03/31 18:06:43  paszczus
- changed name to java-jdom (copied from jdom.spec)
- added bcond to build with java_sun
